From 6c1c0c84ec617b1fe4f90895f27c27e19d191305 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Feb 06 2026 16:08:44 +0000
Subject: F-44: Update for branching


Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index 9cda9d0..8a3e335 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -203,7 +203,7 @@ translate_paths = [
 ]
 
 # These will be inherited by live_media, live_images and image_build
-global_ksurl = 'git+https://pagure.io/fedora-kickstarts.git?#HEAD'
+global_ksurl = 'git+https://pagure.io/fedora-kickstarts.git?#origin/f44'
 global_release = '!RELEASE_FROM_LABEL_DATE_TYPE_RESPIN'
 global_version = '44'
 # live_images ignores this in favor of live_target
@@ -216,10 +216,10 @@ imagebuilder = {
         "name": "%s-raw" % release_name,
         "types": ["iot-raw-xz"],
         "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$arch/os/"],
+        "repos": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-44/compose/Everything/$arch/os/"],
         "ostree": {
            "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-           "ref": "fedora/rawhide/$arch/iot",
+           "ref": "fedora/devel/$arch/iot",
         },
         "subvariant": "IoT",
         "failable": ["*"],
@@ -228,10 +228,10 @@ imagebuilder = {
         "name": "%s-ostree" % release_name,
         "types": ["iot-installer"],
         "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$arch/os/"],
+        "repos": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-44/compose/Everything/$arch/os/"],
         "ostree": {
            "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-           "ref": "fedora/rawhide/$arch/iot",
+           "ref": "fedora/devel/$arch/iot",
         },
         "subvariant": "IoT",
         "manifest_type": "dvd-ostree",
@@ -241,10 +241,10 @@ imagebuilder = {
         "name": "%s-provisioner" % release_name,
         "types": ["iot-simplified-installer"],
         "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$arch/os/"],
+        "repos": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-44/compose/Everything/$arch/os/"],
         "ostree": {
            "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-           "ref": "fedora/rawhide/$arch/iot",
+           "ref": "fedora/devel/$arch/iot",
         },
         "blueprint": {
             "customizations": {
@@ -265,14 +265,14 @@ ostree = {
             "unified_core": True,
             "treefile": "fedora-iot.yaml",
             "config_url": "https://pagure.io/fedora-iot/ostree.git",
-            "config_branch": "main",
+            "config_branch": "f44",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$basearch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-44/compose/Everything/$basearch/os/"
             ]
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
-            "ostree_ref": "fedora/rawhide/${basearch}/iot",
+            "ostree_ref": "fedora/devel/${basearch}/iot",
             "runroot_packages": ["selinux-policy-targeted"],
             "arches": ["x86_64", "aarch64"],
             "update_summary": True,
@@ -285,8 +285,8 @@ ostree_container = {
             "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
             "config_url": "https://pagure.io/fedora-iot/base-images",
             "config_branch": "main",
-            "treefile": "fedora-rawhide.yaml",
-            "repo": ["https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$basearch/os/"],
+            "treefile": "fedora-44.yaml",
+            "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-44/compose/Everything/$basearch/os/"],
             "arches": ["x86_64", "aarch64", "ppc64le", "s390x"],
             "failable": ['*'],
             "subvariant": "base",
@@ -296,8 +296,8 @@ ostree_container = {
             "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
             "config_url": "https://pagure.io/fedora-iot/fedora-iot-bootc.git",
             "config_branch": "main",
-            "treefile": "fedora-iot-rawhide.yaml",
-            "repo": ["https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$basearch/os/"],
+            "treefile": "fedora-iot-44.yaml",
+            "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-44/compose/Everything/$basearch/os/"],
             "arches": ["x86_64", "aarch64"],
             "failable": ['*'],
             "name": "Fedora-IoT-bootc",
diff --git a/sync-bootc-base-containers.sh b/sync-bootc-base-containers.sh
index 6a7e03f..50c8e4b 100755
--- a/sync-bootc-base-containers.sh
+++ b/sync-bootc-base-containers.sh
@@ -49,7 +49,7 @@ arch_to_goarch() {
 # need to move the fedora:latest tag
 current_stable="41"
 # Define what is rawhide so we know to push that tag
-current_rawhide="43"
+current_rawhide="44"
 # Sanity checking
 if ! [[ "${1}" =~ ^-?[0-9]+$ ]];
 then
diff --git a/twoweek-nightly.sh b/twoweek-nightly.sh
index 4c012dd..3f555a3 100755
--- a/twoweek-nightly.sh
+++ b/twoweek-nightly.sh
@@ -18,7 +18,7 @@ TMPDIR=`mktemp -d /tmp/$RELEASE.$DATE.XXXX`
 TOMAIL="iot@lists.fedoraproject.org"
 FROM="Fedora IoT Report <rawhide@fedoraproject.org>"
 RSYNCPREFIX="sudo -u ftpsync"
-RSYNCTARGET="/pub/alt/iot/rawhide/"
+RSYNCTARGET="/pub/alt/iot/branched/"
 OLDCOMPOSE_ID=$(cat $TARGET_DIR/latest-$SHORT-$RELEASE_TITLE/COMPOSE_ID)
 
 # assume a releng dir is a git checkout of the releng repo

